Subject: [bitcoin-dev] bitcoinj 0.15 (segwit)

From: Andreas Schildbach <[email-masked]>
Date: Wed, 6 Mar 2019 18:14:52 +0100

In case anyone missed the announcement: bitcoinj 0.15, with support for
native segregated witness, has recently been released.

https://groups.google.com/d/msg/bitcoinj-announce/X6Zv1NSFxOk/KJACzHZMAQAJ

For operability testing, I just released new versions 7.0 of Bitcoin
Wallet. For now, they still create a keychain of legacy addresses but
they can send to native segwit addresses via Bech32.

Testnet:
https://play.google.com/store/apps/details?id=de.schildbach.wallet_test

Mainnet:
https://play.google.com/store/apps/details?id=de.schildbach.wallet
(At the time of this writing, you need to opt into beta in order to
receive 7.x: https://play.google.com/apps/testing/de.schildbach.wallet)

Receiving to native segwit addresses and spending from them will follow
in the coming days and weeks.